Page MenuHomePhabricator

Standardise CXServer deployment
Closed, ResolvedPublic1 Story Points

Description

The Services team has created and is maintaining service-runner and service-template-node , two libraries / projects that allow all of WMF services written in Node.JS to get out-of-the-box:

  • process management and monitoring
  • standardised logging
  • metrics
  • config management
  • request ID logging
  • security headers
  • unified deployment path

It would be good to port CXServer to that infrastructure and thus avoid confusion and minimise the effort needed to deploy changes.

Since CXServer is more-or-less based on the same underlying principles as Parsoid and other WM-specific Node.JS services, this should not require much work.

Event Timeline

mobrovac created this task.Jun 3 2015, 3:54 PM
mobrovac raised the priority of this task from to High.
mobrovac updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 3:54 PM
KartikMistry lowered the priority of this task from High to Normal.Jun 30 2015, 8:11 AM
KartikMistry set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 30 2015, 8:11 AM
Ricordisamoa added a subscriber: Ricordisamoa.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Aug 19 2015, 11:12 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 8:39 PM
santhosh claimed this task.Oct 7 2015, 5:18 AM
santhosh moved this task from Backlog to In progress on the LE-CX7-Sprint 1 board.Oct 9 2015, 5:04 AM
santhosh edited a custom field.Oct 12 2015, 4:20 AM

Change 244145 had a related patch set uploaded (by Santhosh):
Service-runner migration

https://gerrit.wikimedia.org/r/244145

Pginer-WMF moved this task from Backlog to In Review on the LE-CX7-Sprint 2 board.Oct 21 2015, 7:14 AM
Arrbee raised the priority of this task from Normal to High.Nov 4 2015, 6:46 AM
Arrbee lowered the priority of this task from High to Normal.
Arrbee moved this task from Backlog to In Progress on the LE-CX7-Sprint 3 board.
Arrbee moved this task from In Progress to In Review on the LE-CX7-Sprint 3 board.
Arrbee moved this task from Backlog to In Progress on the LE-CX7-Sprint 4 board.Dec 2 2015, 6:14 AM

Change 244145 merged by Mobrovac:
Service-runner migration

https://gerrit.wikimedia.org/r/244145

KartikMistry moved this task from Backlog to QA on the LE-CX7-Sprint 4 board.Dec 17 2015, 12:54 PM
KartikMistry moved this task from QA to Done on the LE-CX7-Sprint 4 board.Dec 18 2015, 4:10 AM
mobrovac closed this task as Resolved.Dec 18 2015, 9:05 AM

This has been deployed yesterday. Thank you everyone!